function PersonalDetailController($state,  $localStorage , Upload, $timeout ,$scope  ) {

    var vm = this;
    vm.personalDetailSubmit = personalDetailSubmit;

    //check if Personal Detail form valid
    function personalDetailSubmit(form) {
        if(form.$valid) {
            $localStorage.image = vm.myCroppedImage;
          //  alert(vm.$storage.image);
            vm.currentPage = 1;
            $state.go('personalDetails.2', {});
        }

    }

    $(function () {
        $('.datetimepicker').datetimepicker({
            format: 'L',
            minDate: '01/01/1950',
            maxDate: '31/12/2000'
        });
    });

    vm.goBack = function () {
        window.history.back();
    };

    vm.$storage = $localStorage;
    vm.$storage.dateBirth = new Date(vm.$storage.dateBirth);
    // Personal Detail Form Titles

    vm.titles = [
        {id: 1, name: 'Mr'},
        {id: 2, name: 'Mrs'},
        {id: 3, name: 'Ms'},
        {id: 4, name: 'Miss'}
    ];

    vm.selectedTitle = { value: vm.titles[0] };

    // Personal Detail Form Transport Tupes

    vm.transport = [
        {id: 1, name: 'None'},
        {id: 2, name: 'Motorbike'},
        {id: 3, name: 'Car'},
        {id: 4, name: 'People Carrier'},
        {id: 5, name: 'Public Transport'},
        {id: 6, name: 'Other'}
    ];

    vm.selectedTransport = { value: vm.transport[0] };

    // Personal Detail Form Nationalities
    vm.itemArray = [
        {id: 1, name: 'Afghan'},
        {id: 2, name: 'Argentine'},
        {id: 3, name: 'Australian'},
        {id: 4, name: 'Belgian'},
        {id: 5, name: 'Brazilian'},
        {id: 6, name: 'Cambodian'},
        {id: 7, name: 'Cameroonian'},
        {id: 8, name: 'Canadian'},
        {id: 9, name: 'Chilean'},
        {id: 10, name: 'Chinese'},
        {id: 11, name: 'Colombian'},
        {id: 12, name: 'Costa Rican'},
        {id: 13, name: 'Cuban'},
        {id: 14, name: 'Danish'},
        {id: 15, name: 'Dominican'},
        {id: 16, name: 'Ecuadorian'},
        {id: 17, name: 'Egyptian'},
        {id: 18, name: 'Salvadorian'},
        {id: 19, name: 'English'},
    ];

    vm.selected = { value: vm.itemArray[0] };


    //image uploader
    vm.uploadFiles = function(file, errFiles) {
        vm.f = file;
        vm.errFile = errFiles && errFiles[0];
        if (file) {
            file.upload = Upload.upload({
                url: 'https://angular-file-upload-cors-srv.appspot.com/upload',
                data: {file: file}
            });

            file.upload.then(function (response) {
                $timeout(function () {
                    file.result = response.data;
                });
            }, function (response) {
                if (response.status > 0)
                    vm.errorMsg = response.status + ': ' + response.data;
            }, function (evt) {
                file.progress = Math.min(100, parseInt(100.0 *
                evt.loaded / evt.total));
            });
        }
    }

    vm.myCroppedImage='';
    vm.myImage= '';

    var handleFileSelect=function(evt) {
        var file=evt.currentTarget.files[0];
        var reader = new FileReader();
        reader.onload = function (evt) {
            $scope.$apply(function($scope){
                vm.myImage=evt.target.result;
            });
        };
        reader.readAsDataURL(file);
    };
    angular.element(document.querySelector('#fileInput')).on('change',handleFileSelect);

}

PersonalDetailController.$inject = ['$state', '$localStorage', 'Upload', '$timeout', '$scope'];
export default
{
    name: 'PersonalDetailController',
        fn :PersonalDetailController
}
;
