import angular from 'angular';

// angular modules
import constants from './constants';
import onConfig  from './on_config';
import onRun     from './on_run';

var load = require('load-script')

import 'angular-ui-router';
import 'ui-select';
import './templates';
import 'angular-resource';
import 'angular-messages';
import 'angular-ui-bootstrap';
import 'ng-file-upload';
import 'ngstorage';
import './filters';
import './controllers';
import './services';
import './directives';

//Some plugins don't have support of npm packages, we need add them after angular will be binned but before app will start require dependency, in one word we need add them here
load('libs/ng-img-crop.js', {
    async: false
}, res => {
    console.log("complete");
    startApp();
})

// create and bootstrap application
const requires = [
    'ui.router',
    'templates',
    'ngResource',
    'ngMessages',
    'ui.bootstrap',
    'ngStorage',
    'ui.select',
    'ngFileUpload',
    'ngImgCrop',
    'app.filters',
    'app.controllers',
    'app.services',
    'app.directives'
];

// mount on window for testing
window.app = angular.module('app', requires);

angular.module('app').constant('AppSettings', constants);

angular.module('app').config(onConfig);

angular.module('app').run(onRun);

const startApp = _ => {
    angular.bootstrap(document, ['app'], {
        strictDi: true
    });
}